Package org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups

## Interface IDifferenceGroup

All Superinterfaces:
  `Adapter`

All Known Implementing Classes:
  `BasicDifferenceGroupImpl`, `ByResourceGroupProvider.ResourceGroup`, `ThreeWayComparisonGroupProvider.ConflictsGroupImpl`

    public interface IDifferenceGroup
    extends Adapter

This interface represents an EMF Compare "group" of differences that can be displayed in the structural differences viewer of the UI.

Since:
  4.0
See Also:
  `BasicDifferenceGroupImpl`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

Fields
`static com.google.common.base.Function<EObject,​EObject>` `TREE_NODE_DATA` Function that retrieve the data of the given TreeNode.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `dispose()` Dispose this group provider.
`List<? extends TreeNode>` `getChildren()` The list of TreeNode containded in this group.
`org.eclipse.swt.graphics.Image` `getImage()` The icon that is to be used for this group in the compare UI.
`String` `getName()` A human-readable label for this group.
`IStyledString.IComposedStyledString` `getStyledName()` The styled label for the this group.

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, isAdapterForType, notifyChanged, setTarget`

### Field Detail

#### TREE_NODE_DATA

    static final com.google.common.base.Function<EObject,​EObject> TREE_NODE_DATA

Function that retrieve the data of the given TreeNode.

### Method Detail

#### getName

    String getName()

A human-readable label for this group.

Returns:
  A human-readable label for this group that can be displayed to the user.

#### getStyledName

    IStyledString.IComposedStyledString getStyledName()

The styled label for the this group. This will be displayed in the EMF Compare UI.

Returns:
  A human-readable styled label for this group that can be displayed to the user.

#### getImage

    org.eclipse.swt.graphics.Image getImage()

The icon that is to be used for this group in the compare UI.

Returns:
  Icon that is to be used for this group in the compare UI. If `null`, a default image will be used instead.

#### getChildren

    List<? extends TreeNode> getChildren()

The list of TreeNode containded in this group.

Returns:
  the list of TreeNode containded in this group.

#### dispose

    void dispose()

Dispose this group provider.